import http from '../../base/httputil'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    logId: null,
    pageData: null,
    qianming: null,
    busEnterpriseId : null
  },

  getXqzggzs2() {
    var obj = new Object()
    obj.logId = this.data.logId
    http.post('/system/AppXunjianController/getXqzggzs2', obj, this.getXqzggzs2Success);
  },
  getXqzggzs2Success(e) {
    console.log(e)
    this.setData({
      pageData: e.data
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options)
    this.data.logId = options.logId
    this.data.busEnterpriseId = options.busEnterpriseId
    if (options.qianming != undefined && options.qianming != null) {
      this.setData({
        qianming: options.qianming
      })
    }
    this.getXqzggzs2()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

  bindQianming() {
    wx.navigateTo({
      url: '../qianming/qianming?logId=' + this.data.logId+"&busEnterpriseId="+this.data.busEnterpriseId,
    })
  },
  submitXqzggzs2(){
    http.post("/system/AppXunjianController/submitXqzggzs2",null,this.submitXqzggzs2Success)
  },
  submitXqzggzs2Success(e){
    if(e.code == 200){
      wx.navigateTo({
        url: '../details/details?busEnterpriseId='+this.data.busEnterpriseId,
      })
    }
  }


})